Bug 1029177 - taskcleaner.sh '-l' option does not produce logfile
taskcleaner.sh '-l' option does not produce logfile
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.3.0
All Linux
low Severity low
: ---
: 3.3.0
Assigned To: Eli Mesika
Jiri Belka
infra
: Triaged
Depends On:
Blocks: 3.3snap3
  Show dependency treegraph
 
Reported: 2013-11-11 15:47 EST by Derrick Ornelas
Modified: 2016-02-10 14:17 EST (History)
5 users (show)

See Also:
Fixed In Version: is24
Doc Type: Bug Fix
Doc Text:
The taskcleaner.sh -l option now correctly produces a log file.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 12:39:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 21215 None None None Never
oVirt gerrit 21331 None None None Never
Red Hat Product Errata RHSA-2014:0038 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.3.0 update 2014-01-21 17:03:06 EST

  None (edit)
Description Derrick Ornelas 2013-11-11 15:47:08 EST
Description of problem:
When specifying the '-l' option to taskcleaner.sh, no log file is created at all.  Also, the default taskcleaner.sh.log file is never created when '-l' is not used even though the usage claims this is the default log file.   


Version-Release number of selected component (if applicable):
rhevm-setup-3.3.0-0.30.beta1.el6ev
rhevm-setup-3.2.4-0.44.el6ev


How reproducible:  100%


Steps to Reproduce:
1.  Run taskcleaner.sh

# PGPASSWORD="0261pskW" /usr/share/ovirt-engine/setup/dbutils/taskcleaner.sh -l /tmp/test.log -t ca18f523-56b0-4faa-a21c-504fb0a0cfe3
 This will remove the given Task!!! 
Caution, this operation should be used with care. Please contact support prior to running this command
Are you sure you want to proceed? [y/n]
y
-[ RECORD 1 ]-----+--
deleteasync_tasks | 0



Actual results:

# ls -l /tmp/test.log
ls: cannot access /tmp/test.log: No such file or directory


Expected results:

The /tmp/test.log file exists and contains at least what was printed to stdout
Comment 1 Jiri Belka 2013-11-20 11:05:26 EST
ok is24. 

# PGPASSWORD=$PASSWORD /usr/share/ovirt-engine/setup/dbutils/taskcleaner.sh -l /tmp/test.log -t ca18f523-56b0-4faa-a21c-504fb0a0cfe3
 This will remove the given Task!!! 
Caution, this operation should be used with care. Please contact support prior to running this command
Are you sure you want to proceed? [y/n]
y
-[ RECORD 1 ]-----+--
deleteasync_tasks | 0

# ls -l /tmp/test.log
-rw-r--r--. 1 root root 181 Nov 20 17:04 /tmp/test.log
Comment 2 errata-xmlrpc 2014-01-21 12:39:19 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html

Note You need to log in before you can comment on or make changes to this bug.